GET /katello/api/packages
200
{
"total": 2,
"subtotal": 2,
"selectable": 2,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"id": 980190962,
"pulp_id": "one-uuid",
"name": "one",
"version": "1.0",
"release": "1.el7",
"arch": "x86_64",
"epoch": "0",
"summary": null,
"modular": false,
"filename": "one-1.1.rpm",
"sourcerpm": null,
"checksum": null,
"nvrea": "one-1.0-1.el7.x86_64",
"nvra": "one-1.0-1.el7.x86_64",
"uuid": "one-uuid",
"hosts_available_count": 0,
"hosts_applicable_count": 1
},
{
"id": 1046165992,
"pulp_id": "one-uuid-two",
"name": "one",
"version": "1.0",
"release": "2.el7",
"arch": "x86_64",
"epoch": "0",
"summary": null,
"modular": false,
"filename": "one-1.2.rpm",
"sourcerpm": null,
"checksum": null,
"nvrea": "one-1.0-2.el7.x86_64",
"nvra": "one-1.0-2.el7.x86_64",
"uuid": "one-uuid-two",
"hosts_available_count": 0,
"hosts_applicable_count": 0
}
]
}
| Param name | Description |
|---|---|
|
organization_id
optional |
Organization identifier Validations:
|
|
content_view_version_id
optional |
Content View Version identifier Validations:
|
|
content_view_filter_id
optional |
Content View Filter identifier. Use to filter by ID Validations:
|
|
repository_id
optional |
Repository identifier Validations:
|
|
environment_id
optional |
Environment identifier Validations:
|
|
ids
optional |
Package identifiers to filter content by Validations:
|
|
host_id
optional |
Host id to list applicable packages for Validations:
|
|
packages_restrict_applicable
optional |
Return packages that are applicable to one or more hosts (defaults to true if host_id is specified) Validations:
|
|
packages_restrict_upgradable
optional |
Return packages that are upgradable on one or more hosts Validations:
|
|
packages_restrict_latest
optional |
Return only the latest version of each package Validations:
|
|
available_for
optional |
Return packages that can be added to the specified object. Only the value 'content_view_version' is supported. Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. 'id DESC' Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
GET /katello/api/packages/one-uuid
200
{
"id": 980190962,
"pulp_id": "one-uuid",
"name": "one",
"version": "1.0",
"release": "1.el7",
"arch": "x86_64",
"epoch": "0",
"summary": null,
"modular": false,
"filename": "one-1.1.rpm",
"sourcerpm": null,
"checksum": null,
"nvrea": "one-1.0-1.el7.x86_64",
"nvra": "one-1.0-1.el7.x86_64",
"uuid": "one-uuid",
"hosts_available_count": 0,
"hosts_applicable_count": 1,
"description": null,
"license": null,
"buildhost": null,
"vendor": null,
"relativepath": null,
"children": null,
"checksumtype": null,
"size": null,
"url": null,
"build_time": null,
"group": null,
"requires": [],
"provides": [],
"files": [],
"human_readable_size": null,
"build_time_utc": null
}
| Param name | Description |
|---|---|
|
repository_id
optional |
repository identifier Validations:
|
|
organization_id
optional |
organization identifier Validations:
|
|
id
required |
a package identifier Validations:
|
GET /katello/api/packages/compare
200
{
"total": 1,
"subtotal": 1,
"selectable": 1,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"id": 298486374,
"pulp_id": "two-uuid",
"name": "two",
"version": "1.0",
"release": "1.el7",
"arch": "x86_64",
"epoch": "0",
"summary": null,
"modular": false,
"filename": "two-2.1.rpm",
"sourcerpm": null,
"checksum": null,
"nvrea": "two-1.0-1.el7.x86_64",
"nvra": "two-1.0-1.el7.x86_64",
"uuid": "two-uuid",
"hosts_available_count": 0,
"hosts_applicable_count": 1,
"comparison": [
840492357,
531274492
]
}
]
}
| Param name | Description |
|---|---|
|
content_view_version_ids
optional |
content view versions to compare Validations:
|
|
repository_id
optional |
Library repository id to restrict comparisons to Validations:
|
|
restrict_comparison
optional |
Return same, different or all results Validations:
|
GET /katello/api/packages/thindex
200
{
"total": 5,
"subtotal": 5,
"selectable": 5,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"name": "modular",
"id": 1037874757
},
{
"name": "modular_with_erratum_package",
"id": 528479827
},
{
"name": "one",
"id": 980190962
},
{
"name": "three",
"id": 113629430
},
{
"name": "two",
"id": 298486374
}
]
}
| Param name | Description |
|---|---|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. 'id DESC' Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|